=== debian/control ===
Source: libbpp-qt
Section: libs
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  qt4-qmake (>= 4.6.0),
  libqt4-dev (>= 4.6.0),
  libbpp-phyl-dev (>= 2.0.1),
Standards-Version: 3.9.1

Package: libbpp-qt-dev
Section: libdevel
Architecture: any
Depends: libbpp-qt1 (= ${binary:Version}), ${misc:Depends},
  libbpp-phyl-dev (>= 2.0.1), libqt4-dev (>= 4.6.0)
Description: The Bio++ Qt Graphic classes library development files.
 Contains the Bio++ graphical classes developed with Qt.

Package: libbpp-qt1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbpp-phyl9 (>= 2.0.1),
  libqtcore4 (>= 4.6.0), libqtgui4 (>= 4.6.0)
Description: The Bio++ Qt Graphic classes library.
 Contains the Bio++ graphical classes developed with Qt.
