=== debian/changelog ===
libbpp-qt (2.0.2-1) unstable; urgency=low

   * Compatibility update.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 21:27:00 +0100
