=== debian/changelog ===
libbpp-qt (2.1.0-1ubuntu2) wily; urgency=medium

  * Remove hardcoded dep on libbpp-phyl9. Rebuild against new libbpp-phyl,
    libbpp-core.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 13:43:22 +0100

libbpp-qt (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:42:24 +0000

libbpp-qt (2.1.0-1) unstable; urgency=low

   * Compatibility update.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Fri, 08 Mar 2013 09:44:00 +0100
