=== debian/control ===
Source: libbpp-qt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  qt4-qmake (>= 4.6.0),
  libqt4-dev (>= 4.6.0),
  libbpp-phyl-dev (>= 2.1.0),
Standards-Version: 3.9.1

Package: libbpp-qt-dev
Section: libdevel
Architecture: any
Depends: libbpp-qt1v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-phyl-dev (>= 2.1.0), libqt4-dev (>= 4.6.0)
Description: Bio++ Qt Graphic classes library development files.
 Contains the Bio++ graphical classes developed with Qt.

Package: libbpp-qt1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libqtcore4 (>= 4.6.0), libqtgui4 (>= 4.6.0)
Conflicts: libbpp-qt1
Replaces: libbpp-qt1
Description: Bio++ Qt Graphic classes library.
 Contains the Bio++ graphical classes developed with Qt.
