=== debian/changelog ===
libbpp-qt (2.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert v5 rename of library packages

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2016 06:23:31 +0200

libbpp-qt (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add watch file
  * Add homepage
  * Moved to Debian Med Git
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * debhelper 9
  * Enhance description
  * DEP5
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791097

 -- Andreas Tille <tille@debian.org>  Mon, 25 Apr 2016 12:47:18 +0200
