=== debian/control ===
Source: libbpp-qt
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               qt4-qmake,
               libqt4-dev,
               libbpp-phyl-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-qt.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-qt.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-qt-dev
Architecture: any
Section: libdevel
Depends: libbpp-qt1 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-phyl-dev (>= 2.2.0),
         libqt4-dev
Description: Bio++ Qt Graphic classes library development files
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 Contains development files of the Bio++ graphical classes developed
 with Qt.

Package: libbpp-qt1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libbpp-qt1
Replaces: libbpp-qt1
Description: Bio++ Qt Graphic classes library
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 Contains the Bio++ graphical classes developed with Qt.
