=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## When the following is set, the package does not build:
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --override s/libbpp-core2-dev/libbpp-core-dev/ \
		    --override s/libbpp-seq9-dev/libbpp-seq-dev/ \
		    --override s/libbpp-phyl9-dev/libbpp-phyl-dev/ \
		    --override s/libbpp-seq-omics1-dev/libbpp-seq-omics-dev/ \
		    --override s/libQtGui4-dev/libqt4-dev/ \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    debian/tmp/usr/lib/*.so
