=== debian/changelog ===
libbpp-qt (2.3.1-3) unstable; urgency=medium

  * Removed postinst scripts. 

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 10:18:23 +0200

libbpp-qt (2.3.1-2) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 11:19:06 +0200

libbpp-qt (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * Hardening
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2017 10:52:38 +0200
