=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
-               d-shlibs,
+               d-shlibs (>= 0.80),
                qt4-qmake,
                libqt4-dev,
-               libbpp-phyl-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               libbpp-phyl-dev (>= 2.3.1)
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-qt.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-qt.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -20,7 +20,7 @@
 Section: libdevel
 Depends: libbpp-qt1 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-phyl-dev (>= 2.2.0),
+         libbpp-phyl-dev (>= 2.3.1),
          libqt4-dev
 Description: Bio++ Qt Graphic classes library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
@@ -37,8 +37,6 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libbpp-qt1
-Replaces: libbpp-qt1
 Description: Bio++ Qt Graphic classes library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
