## libbpp-qt 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,8 +34,8 @@
 #           library implements.
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
-SET(${PROJECT_NAME}_VERSION_CURRENT "1")
-SET(${PROJECT_NAME}_VERSION_REVISION "1")
+SET(${PROJECT_NAME}_VERSION_CURRENT "2")
+SET(${PROJECT_NAME}_VERSION_REVISION "0")
 SET(${PROJECT_NAME}_VERSION_AGE "0")
 
 # Effective version number computation
@@ -52,13 +52,15 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-phyl 11.0.0 REQUIRED)
+find_package (bpp-phyl 12.0.0 REQUIRED)
 
 # Find the Qt installation
-set (QT_USE_IMPORTED_TARGETS TRUE)
-find_package (Qt4 COMPONENTS QtCore QtGui REQUIRED)
-include (${QT_USE_FILE})
-set (qt-libs ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
+#set (QT_USE_IMPORTED_TARGETS TRUE)
+set(CMAKE_AUTOMOC ON)
+find_package (Qt5Widgets)
+find_package (Qt5Core)
+find_package (Qt5Gui)
+set (qt-libs Qt5::Core Qt5::Gui Qt5::Widgets)
 
 # CMake package
 set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -100,10 +102,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-qt")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Qt graphic library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -112,6 +114,8 @@
 # /!\ This assumes that an external build is used
 SET(CPACK_SOURCE_IGNORE_FILES 
        "/build/" 
+       "/html/" 
+       "/BppQt.tag" 
        "/\\\\.git/" 
        "/\\\\.gitignore" 
        ${CPACK_SOURCE_IGNORE_FILES}
