=== debian/changelog ===
libbpp-qt (2.4.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * Lintian overrides for false positives
  * Add symbols file

  [ Julien Y. Dutheil ]
  * Provide symbols file only for amd64
  * New upstream version
  * Removed unnecessary override

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 10 Apr 2018 14:11:13 +0200

libbpp-qt (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
  * Builds against Qt5.

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 15:44:23 +0200

libbpp-qt (2.3.1-4) unstable; urgency=medium

  [ Julien Dutheil ]
  * Does not override debian cxx flags anymore.

  [ Andreas Tille ]
  * Rebuild with gcc-7
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 22:36:18 +0200
