=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                d-shlibs (>= 0.80),
-               qt4-qmake,
-               libqt4-dev,
-               libbpp-phyl-dev (>= 2.3.1)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-qt.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-qt.git
+               qt5-qmake,
+               qtdeclarative5-dev,
+               libbpp-phyl-dev (>= 2.4.0)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-qt
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-qt.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-qt-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-qt1 (= ${binary:Version}),
+Depends: libbpp-qt2 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-phyl-dev (>= 2.3.1),
-         libqt4-dev
+         libbpp-phyl-dev (>= 2.4.0),
+         qtdeclarative5-dev
 Description: Bio++ Qt Graphic classes library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -32,7 +32,7 @@
  Contains development files of the Bio++ graphical classes developed
  with Qt.
 
-Package: libbpp-qt1
+Package: libbpp-qt2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
