=== debian/changelog ===
libbpp-qt (2.4.1-6) unstable; urgency=medium

  * Fix symbols again
    Closes: #997413

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 14:21:05 +0100

libbpp-qt (2.4.1-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix versioned Depends
  * Fix symbols for GCC-11
    Closes: #984088

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 14:18:07 +0200

libbpp-qt (2.4.1-4) unstable; urgency=medium

  [ Nilesh Patra ]
  * Update symbols file
    Closes: #957429

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:45:43 +0200

libbpp-qt (2.4.1-3) unstable; urgency=medium

  * Remove remainings from symbols file workaround

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 13:42:25 +0200

libbpp-qt (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Rebuild for new version of gcc to fix symbols
    Closes: #925734
  * Provide symbols file for amd64 only
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Aug 2019 09:01:31 +0200

libbpp-qt (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #897783

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 22 Aug 2018 08:41:33 +0200
