=== debian/control ===
--- 
+++ 
@@ -4,23 +4,24 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.80),
+               d-shlibs,
                qt5-qmake,
                qtdeclarative5-dev,
-               libbpp-phyl-dev (>= 2.4.0)
-Standards-Version: 4.1.4
+               libbpp-phyl-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-qt
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-qt.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-qt-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-qt2 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-phyl-dev (>= 2.4.0),
+         libbpp-phyl-dev,
          qtdeclarative5-dev
 Description: Bio++ Qt Graphic classes library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
