=== debian/watch ===
version=4

https://github.com/BioPP/bpp-qt/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
